<template>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <div class="container">

        <div class="col-4 mx-auto">
            <h4 class="text py-3 my-3  text-center ">Login Admin page</h4>


            <!--               <message-handler v-bind:message="message"></message-handler>-->
            {{ message }}
            <form action="User.php">
                <div class="form-group">

                    <input class="form-control mb-2 mt-4" id="username" v-model="username" type="text"
                           placeholder="Username">

                    <input class="form-control" id="password" v-model="password" type="text"
                           placeholder="Password"/>

                </div>


                <div class=" mt-3 d-flex  justify-content-center">
                    <button class="btn btn-danger text-white" @click.prevent="login">Log in</button>

                </div>

            </form>


            <!--                <p>{{details}}</p>-->
        </div>

    </div>

</template>
<script>

import {defineAsyncComponent} from 'vue'
import MessageHandler from "../components/MessageHandler.vue"


export default {

    components: {

        MessageHandler,
    },

    data() {
        return {

            details: [],
            users: [],
            username: "",
            password: "",
            message: "",


        }
    },
    methods: {
        login() {
            const messageWrong = "Wrong Credentials";
            const messageOk = "Submited";

            if (this.username == '' && this.password == '') {
                this.message = messageWrong;

            } else {
                this.details.push(this.username, this.password);
                console.log(this.details);
                this.username = "";
                this.password = "";
                this.message = messageOk;


            }

        },


    },


    async mounted() {

        const response = await fetch("/v1/pages/index")
        const users = await response.json()

        const adminDetails = [];
        users.forEach(admins => {
            admins.forEach(details =>
                adminDetails.push(details));
        });

        this.details = adminDetails;
        console.log(adminDetails);

    },
}
</script>
